Back to index

salome-geom  6.5.0
Functions
Advanced objects creation functions
Creating Advanced Geometrical Objects
Collaboration diagram for Advanced objects creation functions:

Functions

def geompyDC.geompyDC.MakePipeTShape
 Create a T-shape object with specified caracteristics for the main and the incident pipes (radius, width, half-length).
def geompyDC.geompyDC.MakePipeTShapeChamfer
 Create a T-shape object with chamfer and with specified caracteristics for the main and the incident pipes (radius, width, half-length).
def geompyDC.geompyDC.MakePipeTShapeFillet
 Create a T-shape object with fillet and with specified caracteristics for the main and the incident pipes (radius, width, half-length).

Function Documentation

def geompyDC.geompyDC.MakePipeTShape (   self,
  theR1,
  theW1,
  theL1,
  theR2,
  theW2,
  theL2,
  theHexMesh = True,
  theP1 = None,
  theP2 = None,
  theP3 = None 
)

Create a T-shape object with specified caracteristics for the main and the incident pipes (radius, width, half-length).

The extremities of the main pipe are located on junctions points P1 and P2. The extremity of the incident pipe is located on junction point P3. If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and the main plane of the T-shape is XOY.

Parameters:
theR1Internal radius of main pipe
theW1Width of main pipe
theL1Half-length of main pipe
theR2Internal radius of incident pipe (R2 < R1)
theW2Width of incident pipe (R2+W2 < R1+W1)
theL2Half-length of incident pipe
theHexMeshBoolean indicating if shape is prepared for hex mesh (default=True)
theP11st junction point of main pipe
theP22nd junction point of main pipe
theP3Junction point of incident pipe
Returns:
List of GEOM.GEOM_Object, containing the created shape and propagation groups.

Example

Create a T-shape object with specified caracteristics for the main
and the incident pipes (radius, width, half-length).
The extremities of the main pipe are located on junctions points P1 and P2.
The extremity of the incident pipe is located on junction point P3.
If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and
the main plane of the T-shape is XOY.

Paremeters:
    theR1 Internal radius of main pipe
    theW1 Width of main pipe
    theL1 Half-length of main pipe
    theR2 Internal radius of incident pipe (R2 < R1)
    theW2 Width of incident pipe (R2+W2 < R1+W1)
    theL2 Half-length of incident pipe
    theHexMesh Boolean indicating if shape is prepared for hex mesh (default=True)
    theP1 1st junction point of main pipe
    theP2 2nd junction point of main pipe
    theP3 Junction point of incident pipe

Returns:
    List of GEOM_Object, containing the created shape and propagation groups.

Example of usage:
    # create PipeTShape object
    pipetshape = geompy.MakePipeTShape(80.0, 20.0, 200.0, 50.0, 20.0, 200.0)
    # create PipeTShape object with position
    pipetshape_position = geompy.MakePipeTShape(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, True, P1, P2, P3)

Definition at line 8350 of file geompyDC.py.

08350 
08351         def MakePipeTShape(self, theR1, theW1, theL1, theR2, theW2, theL2, theHexMesh=True, theP1=None, theP2=None, theP3=None):
08352             """
08353             Create a T-shape object with specified caracteristics for the main
08354             and the incident pipes (radius, width, half-length).
08355             The extremities of the main pipe are located on junctions points P1 and P2.
08356             The extremity of the incident pipe is located on junction point P3.
08357             If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and
08358             the main plane of the T-shape is XOY.
08359 
08360             Paremeters:
08361                 theR1 Internal radius of main pipe
08362                 theW1 Width of main pipe
08363                 theL1 Half-length of main pipe
08364                 theR2 Internal radius of incident pipe (R2 < R1)
08365                 theW2 Width of incident pipe (R2+W2 < R1+W1)
08366                 theL2 Half-length of incident pipe
08367                 theHexMesh Boolean indicating if shape is prepared for hex mesh (default=True)
08368                 theP1 1st junction point of main pipe
08369                 theP2 2nd junction point of main pipe
08370                 theP3 Junction point of incident pipe
08371 
08372             Returns:
08373                 List of GEOM_Object, containing the created shape and propagation groups.
08374 
08375             Example of usage:
08376                 # create PipeTShape object
08377                 pipetshape = geompy.MakePipeTShape(80.0, 20.0, 200.0, 50.0, 20.0, 200.0)
08378                 # create PipeTShape object with position
08379                 pipetshape_position = geompy.MakePipeTShape(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, True, P1, P2, P3)
08380             """
08381             theR1, theW1, theL1, theR2, theW2, theL2, Parameters = ParseParameters(theR1, theW1, theL1, theR2, theW2, theL2)        
08382             if (theP1 and theP2 and theP3):
08383                 anObj = self.AdvOp.MakePipeTShapeWithPosition(theR1, theW1, theL1, theR2, theW2, theL2, theHexMesh, theP1, theP2, theP3)
08384             else:
08385                 anObj = self.AdvOp.MakePipeTShape(theR1, theW1, theL1, theR2, theW2, theL2, theHexMesh)
08386             RaiseIfFailed("MakePipeTShape", self.AdvOp)
08387             if Parameters: anObj[0].SetParameters(Parameters)
08388             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePipeTShapeChamfer (   self,
  theR1,
  theW1,
  theL1,
  theR2,
  theW2,
  theL2,
  theH,
  theW,
  theHexMesh = True,
  theP1 = None,
  theP2 = None,
  theP3 = None 
)

Create a T-shape object with chamfer and with specified caracteristics for the main and the incident pipes (radius, width, half-length).

The chamfer is created on the junction of the pipes. The extremities of the main pipe are located on junctions points P1 and P2. The extremity of the incident pipe is located on junction point P3. If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and the main plane of the T-shape is XOY.

Parameters:
theR1Internal radius of main pipe
theW1Width of main pipe
theL1Half-length of main pipe
theR2Internal radius of incident pipe (R2 < R1)
theW2Width of incident pipe (R2+W2 < R1+W1)
theL2Half-length of incident pipe
theHHeight of the chamfer.
theWWidth of the chamfer.
theHexMeshBoolean indicating if shape is prepared for hex mesh (default=True)
theP11st junction point of main pipe
theP22nd junction point of main pipe
theP3Junction point of incident pipe
Returns:
List of GEOM.GEOM_Object, containing the created shape and propagation groups.

Example

Create a T-shape object with chamfer and with specified caracteristics for the main
and the incident pipes (radius, width, half-length). The chamfer is
created on the junction of the pipes.
The extremities of the main pipe are located on junctions points P1 and P2.
The extremity of the incident pipe is located on junction point P3.
If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and
the main plane of the T-shape is XOY.

Paremeters:
    theR1 Internal radius of main pipe
    theW1 Width of main pipe
    theL1 Half-length of main pipe
    theR2 Internal radius of incident pipe (R2 < R1)
    theW2 Width of incident pipe (R2+W2 < R1+W1)
    theL2 Half-length of incident pipe
    theH Height of the chamfer.
    theW Width of the chamfer.
    theHexMesh Boolean indicating if shape is prepared for hex mesh (default=True)
    theP1 1st junction point of main pipe
    theP2 2nd junction point of main pipe
    theP3 Junction point of incident pipe

Returns:
    List of GEOM_Object, containing the created shape and propagation groups.

Example of usage:
    # create PipeTShape with chamfer object
    pipetshapechamfer = geompy.MakePipeTShapeChamfer(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 20.0, 20.0)
    # create PipeTShape with chamfer object with position
    pipetshapechamfer_position = geompy.MakePipeTShapeChamfer(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 20.0, 20.0, True, P1, P2, P3)

Definition at line 8411 of file geompyDC.py.

08411 
08412         def MakePipeTShapeChamfer(self, theR1, theW1, theL1, theR2, theW2, theL2, theH, theW, theHexMesh=True, theP1=None, theP2=None, theP3=None):
08413             """
08414             Create a T-shape object with chamfer and with specified caracteristics for the main
08415             and the incident pipes (radius, width, half-length). The chamfer is
08416             created on the junction of the pipes.
08417             The extremities of the main pipe are located on junctions points P1 and P2.
08418             The extremity of the incident pipe is located on junction point P3.
08419             If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and
08420             the main plane of the T-shape is XOY.
08421 
08422             Paremeters:
08423                 theR1 Internal radius of main pipe
08424                 theW1 Width of main pipe
08425                 theL1 Half-length of main pipe
08426                 theR2 Internal radius of incident pipe (R2 < R1)
08427                 theW2 Width of incident pipe (R2+W2 < R1+W1)
08428                 theL2 Half-length of incident pipe
08429                 theH Height of the chamfer.
08430                 theW Width of the chamfer.
08431                 theHexMesh Boolean indicating if shape is prepared for hex mesh (default=True)
08432                 theP1 1st junction point of main pipe
08433                 theP2 2nd junction point of main pipe
08434                 theP3 Junction point of incident pipe
08435 
08436             Returns:
08437                 List of GEOM_Object, containing the created shape and propagation groups.
08438 
08439             Example of usage:
08440                 # create PipeTShape with chamfer object
08441                 pipetshapechamfer = geompy.MakePipeTShapeChamfer(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 20.0, 20.0)
08442                 # create PipeTShape with chamfer object with position
08443                 pipetshapechamfer_position = geompy.MakePipeTShapeChamfer(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 20.0, 20.0, True, P1, P2, P3)
08444             """
08445             theR1, theW1, theL1, theR2, theW2, theL2, theH, theW, Parameters = ParseParameters(theR1, theW1, theL1, theR2, theW2, theL2, theH, theW)
08446             if (theP1 and theP2 and theP3):
08447               anObj = self.AdvOp.MakePipeTShapeChamferWithPosition(theR1, theW1, theL1, theR2, theW2, theL2, theH, theW, theHexMesh, theP1, theP2, theP3)
08448             else:
08449               anObj = self.AdvOp.MakePipeTShapeChamfer(theR1, theW1, theL1, theR2, theW2, theL2, theH, theW, theHexMesh)
08450             RaiseIfFailed("MakePipeTShapeChamfer", self.AdvOp)
08451             if Parameters: anObj[0].SetParameters(Parameters)
08452             return anObj

Here is the call graph for this function:

def geompyDC.geompyDC.MakePipeTShapeFillet (   self,
  theR1,
  theW1,
  theL1,
  theR2,
  theW2,
  theL2,
  theRF,
  theHexMesh = True,
  theP1 = None,
  theP2 = None,
  theP3 = None 
)

Create a T-shape object with fillet and with specified caracteristics for the main and the incident pipes (radius, width, half-length).

The fillet is created on the junction of the pipes. The extremities of the main pipe are located on junctions points P1 and P2. The extremity of the incident pipe is located on junction point P3. If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and the main plane of the T-shape is XOY.

Parameters:
theR1Internal radius of main pipe
theW1Width of main pipe
theL1Half-length of main pipe
theR2Internal radius of incident pipe (R2 < R1)
theW2Width of incident pipe (R2+W2 < R1+W1)
theL2Half-length of incident pipe
theRFRadius of curvature of fillet.
theHexMeshBoolean indicating if shape is prepared for hex mesh (default=True)
theP11st junction point of main pipe
theP22nd junction point of main pipe
theP3Junction point of incident pipe
Returns:
List of GEOM.GEOM_Object, containing the created shape and propagation groups.

Example

Create a T-shape object with fillet and with specified caracteristics for the main
and the incident pipes (radius, width, half-length). The fillet is
created on the junction of the pipes.
The extremities of the main pipe are located on junctions points P1 and P2.
The extremity of the incident pipe is located on junction point P3.

Paremeters:
    If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and
    the main plane of the T-shape is XOY.
    theR1 Internal radius of main pipe
    theW1 Width of main pipe
    heL1 Half-length of main pipe
    theR2 Internal radius of incident pipe (R2 < R1)
    theW2 Width of incident pipe (R2+W2 < R1+W1)
    theL2 Half-length of incident pipe
    theRF Radius of curvature of fillet.
    theHexMesh Boolean indicating if shape is prepared for hex mesh (default=True)
    theP1 1st junction point of main pipe
    theP2 2nd junction point of main pipe
    theP3 Junction point of incident pipe
    
Returns:
    List of GEOM_Object, containing the created shape and propagation groups.
    
Example of usage:
    # create PipeTShape with fillet object
    pipetshapefillet = geompy.MakePipeTShapeFillet(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 5.0)
    # create PipeTShape with fillet object with position
    pipetshapefillet_position = geompy.MakePipeTShapeFillet(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 5.0, True, P1, P2, P3)

Definition at line 8474 of file geompyDC.py.

08474 
08475         def MakePipeTShapeFillet(self, theR1, theW1, theL1, theR2, theW2, theL2, theRF, theHexMesh=True, theP1=None, theP2=None, theP3=None):
08476             """
08477             Create a T-shape object with fillet and with specified caracteristics for the main
08478             and the incident pipes (radius, width, half-length). The fillet is
08479             created on the junction of the pipes.
08480             The extremities of the main pipe are located on junctions points P1 and P2.
08481             The extremity of the incident pipe is located on junction point P3.
08482 
08483             Paremeters:
08484                 If P1, P2 and P3 are not given, the center of the shape is (0,0,0) and
08485                 the main plane of the T-shape is XOY.
08486                 theR1 Internal radius of main pipe
08487                 theW1 Width of main pipe
08488                 heL1 Half-length of main pipe
08489                 theR2 Internal radius of incident pipe (R2 < R1)
08490                 theW2 Width of incident pipe (R2+W2 < R1+W1)
08491                 theL2 Half-length of incident pipe
08492                 theRF Radius of curvature of fillet.
08493                 theHexMesh Boolean indicating if shape is prepared for hex mesh (default=True)
08494                 theP1 1st junction point of main pipe
08495                 theP2 2nd junction point of main pipe
08496                 theP3 Junction point of incident pipe
08497                 
08498             Returns:
08499                 List of GEOM_Object, containing the created shape and propagation groups.
08500                 
08501             Example of usage:
08502                 # create PipeTShape with fillet object
08503                 pipetshapefillet = geompy.MakePipeTShapeFillet(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 5.0)
08504                 # create PipeTShape with fillet object with position
08505                 pipetshapefillet_position = geompy.MakePipeTShapeFillet(80.0, 20.0, 200.0, 50.0, 20.0, 200.0, 5.0, True, P1, P2, P3)
08506         
08507             """
08508             theR1, theW1, theL1, theR2, theW2, theL2, theRF, Parameters = ParseParameters(theR1, theW1, theL1, theR2, theW2, theL2, theRF)
08509             if (theP1 and theP2 and theP3):
08510               anObj = self.AdvOp.MakePipeTShapeFilletWithPosition(theR1, theW1, theL1, theR2, theW2, theL2, theRF, theHexMesh, theP1, theP2, theP3)
08511             else:
08512               anObj = self.AdvOp.MakePipeTShapeFillet(theR1, theW1, theL1, theR2, theW2, theL2, theRF, theHexMesh)
08513             RaiseIfFailed("MakePipeTShapeFillet", self.AdvOp)
08514             if Parameters: anObj[0].SetParameters(Parameters)
08515             return anObj

Here is the call graph for this function: